This reference is for Processing 2.0+. If you have a previous version, use the reference included with your software. If you see any errors or have suggestions, please let us know. If you prefer a more technical reference, visit the Processing Javadoc.

Name | ### mouseMoved()
Examples |
    // Move the mouse across the image
    // to change its value

    int value = 0;

    void draw() {
      fill(value);
      rect(25, 25, 50, 50);
    }

    void mouseMoved() {
      value = value + 5;
      if (value > 255) {
        value = 0;
      }
    }
Description | The mouseMoved() function is called every time the mouse moves and a mouse button is not pressed.
Syntax |
    mouseMoved()
    mouseMoved(event)
Returns | void
Related | mouseX mouseY mousePressed mousePressed mouseReleased() mouseDragged()

Updated on October 26, 2013 08:58:29pm PDT